## watcher 1.7.0

=== debian/changelog ===
watcher (1:1.7.0-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/watcher-common.install: Drop install of policy.json.

  [ Corey Bryant ]
  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Jan 2018 09:55:43 -0500

watcher (1:1.6.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Drop dh-systemd. Not needed with debhelper 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Dec 2017 16:13:53 -0500

watcher (1:1.5.0-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Nov 2017 13:56:03 -0500

=== debian/control ===
Source: watcher
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 53~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-apscheduler (>= 3.0.5),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.3.0),
 python-coverage (>= 4.0),
 python-croniter (>= 0.3.4),
 python-enum34 (>= 1.0.4),
 python-freezegun (>= 0.3.6),
 python-glanceclient (>= 1:2.8.0),
 python-gnocchiclient (>= 3.3.1),
 python-hacking (>= 0.12.0),
 python-ironicclient (>= 1.14.0),
 python-jsonpatch (>= 1.16),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-mock (>= 2.0.0),
 python-monascaclient (>= 1.7.0),
 python-networkx (>= 1.10),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.28.0),
 python-oslotest (>= 1:3.2.0),
 python-pastedeploy (>= 1.5.0),
 python-pecan (>= 1.0.0),
 python-prettytable (>= 0.7.1),
 python-six (>= 1.10.0),
 python-sphinxcontrib-pecanwsme (>= 0.8.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-taskflow (>= 2.16.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-voluptuous (>= 0.8.9),
 python-webob (>= 1:1.7.1),
 python-wsme (>= 0.8.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
Homepage: https://github.com/openstack/watcher

Package: python-watcher
Section: python
Architecture: all
Depends:
 python-apscheduler (>= 3.0.5),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.3.0),
 python-croniter (>= 0.3.4),
 python-enum34 (>= 1.0.4),
 python-glanceclient (>= 1:2.8.0),
 python-gnocchiclient (>= 3.3.1),
 python-ironicclient (>= 1.14.0),
 python-jsonpatch (>= 1.16),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-monascaclient (>= 1.7.0),
 python-networkx (>= 1.10),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackclient (>= 3.12.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.28.0),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-pecan (>= 1.0.0),
 python-prettytable (>= 0.7.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-taskflow (>= 2.16.0),
 python-voluptuous (>= 0.8.9),
 python-webob (>= 1:1.7.1),
 python-wsme (>= 0.8.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 net-tools,
 python-keystoneclient (>= 1:3.8.0),
 python-openstackclient (>= 3.12.0),
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

## watcher 1.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

apscheduler>=3.0.5 # MIT License
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
jsonpatch!=1.20,>=1.16 # BSD
keystoneauth1>=3.3.0 # Apache-2.0
jsonschema<3.0.0,>=2.6.0 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
croniter>=0.3.4 # MIT License
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
PrettyTable<0.8,>=0.7.1 # BSD
voluptuous>=0.8.9 # BSD License
gnocchiclient>=3.3.1 # Apache-2.0
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-monascaclient>=1.7.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
python-ironicclient>=2.2.0 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
WebOb>=1.7.1 # MIT
WSME>=0.8.0 # MIT
networkx<2.0,>=1.10 # BSD

=== debian/changelog ===
watcher (1:1.8.0-5ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-watcher package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      watcher-common depends on python-watcher by default and python3-watcher
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-watcher packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/python(3)-watcher.post*, d/python(3)-watcher.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/tests/*: Add Python 2/3 autopkgtests for watcher daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jun 2018 16:19:55 -0400

watcher (1.8.0-5) unstable; urgency=medium

  * Also package watcher/api/app.wsgi.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 May 2018 13:34:40 +0200

watcher (1.8.0-4) unstable; urgency=medium

  * Use pkgos-dh_auto_{test,install} (Closes: #892783).
  * Fix sphinx import of the Directive module.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Apr 2018 08:59:55 +0200

watcher (1.8.0-3) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 18:02:52 +0000

watcher (1.8.0-2) unstable; urgency=medium

  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 10:35:43 +0000

watcher (1.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Feb 2018 23:35:48 +0100

watcher (1:1.8.0-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 08:49:32 -0500

watcher (1:1.7.0-0ubuntu2) bionic; urgency=medium

  * d/watcher-common.postinst, d/watcher-common.postrm:
    Fix package install failure. (LP: #1746792)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 01 Feb 2018 14:49:11 -0500

watcher (1.4.1-3) unstable; urgency=medium

  * Fixed encoding of pt.po (Closes: #881578).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 11:50:09 +0100

watcher (1.4.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Remove /var/cache/watcher on purge (Closes: #852120).
  * Updated it.po (Closes: #860380).
  * Updated fr.po (Closes: #873686).
  * Updated pt.po (Closes: #876177).
  * (build-)depends on 2.9.0 version of ceilometerclient (Closes: #880091).
  * Removed dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 09:58:37 +0000

watcher (1.4.1-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/rules: remove OSLO_PACKAGE_VERSION set by openstack-pkg-tools.
  * Rebase MANIFEST.in patch, remove SQLA version patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Oct 2017 16:11:45 +0200

watcher (0.30.0-5) unstable; urgency=medium

  * Team upload.
  * Delete wrong net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858713).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 12:39:26 +0200

watcher (0.30.0-4) unstable; urgency=medium

  * Team upload.
  * Create /var/cache/watcher with no error if existing. (Closes: #851260)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 16 Jan 2017 13:20:05 +0100

=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-apscheduler,
 python-ceilometerclient (>= 2.9.0),
 python-cinderclient (>= 1:3.3.0),
 python-coverage,
 python-croniter,
 python-freezegun,
 python-glanceclient (>= 1:2.8.0),
 python-gnocchiclient (>= 3.3.1),
 python-hacking,
 python-ironicclient (>= 2.2.0),
 python-jsonpatch (>= 1.19+really1.16),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml,
 python-mock,
 python-monascaclient (>= 1.7.0),
 python-networkx,
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-oslotest (>= 1:3.2.0),
 python-pastedeploy,
 python-pecan,
 python-prettytable,
 python-six,
 python-sphinxcontrib-pecanwsme,
 python-sqlalchemy,
 python-stestr,
 python-stevedore (>= 1.20.0),
 python-taskflow (>= 2.16.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-voluptuous,
 python-webob (>= 1.7.1),
 python-wsme,
 python3-apscheduler,
 python3-ceilometerclient (>= 2.9.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage,
 python3-croniter,
 python3-freezegun,
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking,
 python3-ironicclient (>= 2.2.0),
 python3-jsonpatch (>= 1.19+really1.16),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-mock,
 python3-monascaclient (>= 1.7.0),
 python3-networkx,
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-pastedeploy,
 python3-pecan,
 python3-prettytable,
 python3-six,
 python3-sphinxcontrib-pecanwsme,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-voluptuous,
 python3-webob (>= 1.7.1),
 python3-wsme,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
Homepage: https://github.com/openstack/watcher
Testsuite: autopkgtest-pkg-python

Package: python-watcher
Section: python
Architecture: all
Depends:
 python-apscheduler,
 python-ceilometerclient (>= 2.9.0),
 python-cinderclient (>= 1:3.3.0),
 python-croniter,
 python-glanceclient (>= 1:2.8.0),
 python-gnocchiclient (>= 3.3.1),
 python-ironicclient (>= 2.2.0),
 python-jsonpatch (>= 1.19+really1.16),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml,
 python-monascaclient (>= 1.7.0),
 python-networkx,
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackclient (>= 3.12.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-pastedeploy,
 python-pbr (>= 2.0.0),
 python-pecan,
 python-prettytable,
 python-six,
 python-sqlalchemy,
 python-stevedore (>= 1.20.0),
 python-taskflow (>= 2.16.0),
 python-voluptuous,
 python-webob (>= 1.7.1),
 python-wsme (>= 0.8),
 ${misc:Depends},
 ${python:Depends},
Conflicts:
 python3-watcher,
Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 libraries that are part of Watcher.

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler,
 python3-ceilometerclient (>= 2.9.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter,
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-ironicclient (>= 2.2.0),
 python3-jsonpatch (>= 1.19+really1.16),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-monascaclient (>= 1.7.0),
 python3-networkx,
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackclient (>= 3.12.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pastedeploy,
 python3-pbr (>= 2.0.0),
 python3-pecan,
 python3-prettytable,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-voluptuous,
 python3-webob (>= 1.7.1),
 python3-wsme (>= 0.8),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-watcher,
Description: OpenStack Cloud Optimization as a Service - Python 3.x libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3.x libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 net-tools,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-watcher (= ${binary:Version}) | python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -f debian/watcher-common.config debian/watcher-common.postinst debian/watcher-api.config debian/watcher-api.postinst
	rm -rf debian/*.upstart debian/*.service
	rm -rf debian/watcher-common.postrm debian/*.templates debian/po

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm watcher-common.postrm
	pkgos-merge-templates watcher-api watcher endpoint
	pkgos-merge-templates watcher-common watcher db rabbit ksat

override_dh_auto_clean:
	python2 setup.py clean
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'watcher\.tests\.(?!.*api\.test_hooks\.TestContextHook\.test_context_hook_before_method.*)'
endif

	rm -rf $(CURDIR)/debian/python-watcher/usr/etc
	rm -rf $(CURDIR)/debian/python3-watcher/usr/etc
	mkdir -p $(CURDIR)/debian/watcher-common/usr/share/watcher-common
	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf \
		--wrap-width 140 \
		--namespace watcher \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.cache \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.wsgi
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken watcher

	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/watcher-common/usr/share/watcher-common/policy.json \
		--format json \
		--namespace watcher

	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf oslo_concurrency lock_path /var/lock/watcher

	dh_install
	dh_missing --fail-missing

	# Disable https in default setup, as this makes our CI fail
	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken auth_protocol http

	# Fix the missing sql_connection directive
	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf database sqlite:////var/lib/watcher/watcherdb

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/watcher-doc/usr/share/doc/watcher-doc/html
	touch $(CURDIR)/debian/watcher-doc/usr/share/doc/watcher-doc/html/_static/toggle.js
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: watcher-daemons, watcher-shebangs-py2
Depends: watcher-api, watcher-applier, watcher-decision-engine
Restrictions: needs-root

Tests: watcher-daemons, watcher-shebangs-py3
Depends: python3-watcher, watcher-api, watcher-applier, watcher-decision-engine
Restrictions: needs-root

## watcher 1.12.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

apscheduler>=3.5.1 # MIT License
enum34>=1.1.6;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
jsonpatch>=1.21 # BSD
keystoneauth1>=3.4.0 # Apache-2.0
jsonschema<3.0.0,>=2.6.0 # MIT
keystonemiddleware>=4.21.0 # Apache-2.0
lxml>=4.1.1 # BSD
croniter>=0.3.20 # MIT License
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.cache>=1.29.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.20.0 # Apache-2.0
oslo.db>=4.35.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=3.37.0 # Apache-2.0
oslo.messaging>=5.36.0 # Apache-2.0
oslo.policy>=1.34.0 # Apache-2.0
oslo.reports>=1.27.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.30.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
oslo.versionedobjects>=1.32.0 # Apache-2.0
PasteDeploy>=1.5.2 # MIT
pbr>=3.1.1 # Apache-2.0
pecan>=1.2.1 # BSD
PrettyTable<0.8,>=0.7.2 # BSD
gnocchiclient>=7.0.1 # Apache-2.0
python-ceilometerclient>=2.9.0 # Apache-2.0
python-cinderclient>=3.5.0 # Apache-2.0
python-glanceclient>=2.9.1 # Apache-2.0
python-keystoneclient>=3.15.0 # Apache-2.0
python-monascaclient>=1.12.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=10.1.0 # Apache-2.0
python-openstackclient>=3.14.0 # Apache-2.0
python-ironicclient>=2.3.0 # Apache-2.0
six>=1.11.0 # MIT
SQLAlchemy>=1.2.5 # MIT
stevedore>=1.28.0 # Apache-2.0
taskflow>=3.1.0 # Apache-2.0
WebOb>=1.7.4 # MIT
WSME>=0.9.2 # MIT
networkx>=1.11 # BSD

=== debian/changelog ===
watcher (1.12.0-3) unstable; urgency=medium

  * Add export TZ=UTC in debian/rules (Closes: #918712).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2019 00:00:53 +0200

watcher (1.12.0-2) unstable; urgency=medium

  * Run unit tests by type, to avoid hangs durring build (Closes: #918648).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 08:51:30 +0100

watcher (1.12.0-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Fixed startup script description.
  * New upstream release:
    - Fix FTBFS (Closes: #906552).
  * Fixed (build-)depends for this release. Freezegun upstream b-requirement
    downgraded to 0.3.9.
  * Removed fix-import-sphinx-Directive.patch applied upstream.
  * Add switch-to-GreenThreadPoolExecutor.patch.
  * Do not run applier tests which are failing.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Running wrap-and-sort -bast

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Jun 2018 13:59:53 +0200

=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 po-debconf,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-apscheduler (>= 3.5.1),
 python3-ceilometerclient (>= 2.9.0),
 python3-cinderclient (>= 1:3.5.0),
 python3-coverage (>= 4.5.1),
 python3-croniter (>= 0.3.20),
 python3-freezegun (>= 0.3.10),
 python3-futurist (>= 1.6.0),
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-hacking,
 python3-ironicclient (>= 2.3.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.1.1),
 python3-mock,
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 1.11),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:10.1.0),
 python3-openstackclient (>= 3.14.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.20.0),
 python3-oslo.db (>= 4.35.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 5.36.0),
 python3-oslo.policy (>= 1.34.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pastedeploy,
 python3-pecan (>= 1.3.2),
 python3-prettytable,
 python3-six (>= 1.11.0),
 python3-sphinxcontrib-pecanwsme,
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr,
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1.28.0),
 python3-taskflow (>= 3.1.0),
 python3-testscenarios (>= 0.5.0),
 python3-testtools (>= 2.3.0),
 python3-webob (>= 1.8.2),
 python3-wsme (>= 0.9.2),
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/watcher
Vcs-Git: https://salsa.debian.org/openstack-team/services/watcher.git
Homepage: https://github.com/openstack/watcher

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler (>= 3.5.1),
 python3-ceilometerclient (>= 2.9.0),
 python3-cinderclient (>= 1:3.5.0),
 python3-croniter (>= 0.3.20),
 python3-futurist (>= 1.6.0),
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.1.1),
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 1.11),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:10.1.0),
 python3-openstackclient (>= 3.14.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.20.0),
 python3-oslo.db (>= 4.35.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 5.36.0),
 python3-oslo.policy (>= 1.34.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-pastedeploy,
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.3.2),
 python3-prettytable,
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stevedore (>= 1.28.0),
 python3-taskflow (>= 3.1.0),
 python3-webob (>= 1.8.2),
 python3-wsme (>= 0.9.2),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-watcher,
Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
+export TZ=UTC
+
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,systemd,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc
 
 override_dh_clean:
 	dh_clean
@@ -21,20 +23,27 @@
 	pkgos-merge-templates watcher-common watcher db rabbit ksat
 
 override_dh_auto_clean:
-	python2 setup.py clean
 	python3 setup.py clean
 
 override_dh_auto_install:
 	echo "Do nothing..."
 
 override_dh_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'watcher\.tests\.(?!.*api\.test_hooks\.TestContextHook\.test_context_hook_before_method.*)'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.api\.(?!(.*test_hooks\.TestContextHook\.test_context_hook_before_method.*))'
+	#pkgos-dh_auto_test --no-py2 'watcher\.tests\.applier.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.cmd.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.common.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.conf.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.datasource.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.db.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.decision_engine.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.notifications.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.objects.*'
 endif
 
-	rm -rf $(CURDIR)/debian/python-watcher/usr/etc
 	rm -rf $(CURDIR)/debian/python3-watcher/usr/etc
 	mkdir -p $(CURDIR)/debian/watcher-common/usr/share/watcher-common
 	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages python3-oslo-config-generator \
@@ -64,6 +73,9 @@
 	dh_install
 	dh_missing --fail-missing
 
+	mkdir -p $(CURDIR)/debian/watcher-api/usr/bin
+	cp watcher/api/app.wsgi $(CURDIR)/debian/watcher-api/usr/bin/watcher-wsgi-api
+
 	# Disable https in default setup, as this makes our CI fail
 	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken auth_protocol http

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/watcher/tags .*/(\d[\d\.]+)\.tar\.gz
